stringprep_utf8_to_ucs4(3)

NAME
stringprep_utf8_to_ucs4 - convert UTF-8 string to UCS-4

SYNOPSIS
#include <stringprep.h>

uint32_t * stringprep_utf8_to_ucs4(const char * str, ssize_t len, size_t * items_written);

ARGUMENTS

const char * str
    a UTF-8 encoded string

ssize_t len
    the maximum length of str to use. If len < 0, then the string is nul-terminated.

size_t * items_written
    location to store the number of characters in the result, or NULL.

DESCRIPTION
Convert a string from UTF-8 to a 32-bit fixed width representation as UCS-4, assuming valid UTF-8 input. This function does no error checking on the input.

RETURN VALUE
a pointer to a newly allocated UCS-4 string. This value must be freed with free().

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.